%{?nodejs_find_provides_and_requires}

%global packagename foreach
%global enable_tests 1

Name:		nodejs-foreach
Version:	2.0.5
Release:	2%{?dist}
Summary:	foreach component + npm package

License:	MIT
URL:		https://github.com/manuelstofer/foreach
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz

ExclusiveArch:	%{nodejs_arches} noarch
BuildArch:	noarch

BuildRequires:	nodejs-packaging
%if 0%{?enable_tests}
BuildRequires:	npm(tape)
%endif

Requires:	nodejs

%description
foreach component + npm package


%prep
%setup -q -n package


%build
# nothing to do!

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json *.js \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
%__nodejs test.js
%endif


%files
%{!?_licensedir:%global license %doc}
%doc *.md
%license LICENSE
%{nodejs_sitelib}/%{packagename}



%changelog
* Mon Oct 26 2015 Jared Smith <jsmith@fedoraproject.org> - 2.0.5-2
- Initial packaging
